# Uses of Enum
com.databricks.jdbc.api.impl.VolumeOperationStatus

Packages that use VolumeOperationStatus
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.model.client.filesystem

## Uses of VolumeOperationStatus in com.databricks.jdbc.api.impl

Subclasses with type arguments of type VolumeOperationStatus in com.databricks.jdbc.api.impl
Modifier and Type
Class
Description
`enum`
`VolumeOperationStatus`
Methods in com.databricks.jdbc.api.impl that return VolumeOperationStatus
Modifier and Type
Method
Description
`static VolumeOperationStatus`
VolumeOperationStatus.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VolumeOperationStatus[]`
VolumeOperationStatus.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of VolumeOperationStatus in com.databricks.jdbc.model.client.filesystem

Methods in com.databricks.jdbc.model.client.filesystem that return VolumeOperationStatus
Modifier and Type
Method
Description
`VolumeOperationStatus`
VolumePutResult.`getStatus()`
Get the operation status.
Constructors in com.databricks.jdbc.model.client.filesystem with parameters of type VolumeOperationStatus
Modifier
Constructor
Description
``
`VolumePutResult(int statusCode, VolumeOperationStatus status, String message)`
Constructs a new VolumePutResult.